Schiphol PublicFlight API

Retrieves a Flight based on flight-id

get
https://api.schiphol.nl/public/public-flights/v4/flights/{id}

Path Parameters

idstringrequired

Unique numeric id of flight

Match pattern:^[0-9]+$

<= 25 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

OK

Flight

lastUpdatedAtstring(date-time)

<= 25 characters

actualLandingTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

actualOffBlockTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

aircraftRegistrationstring

<= 25 characters

aircraftTypeobject
Show Child Parameters
baggageClaimobject
Show Child Parameters
checkinAllocationsobject
Show Child Parameters
codesharesobject
Show Child Parameters
estimatedLandingTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeBoardingstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeGateClosingstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeGateOpenstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedTimeOnBeltstring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

expectedSecurityFilterstring

expected security filter

<= 25 characters

flightDirectionstring

Allowed values:AD

flightNamestring

<= 25 characters

flightNumberinteger(int64)

>= 0<= 9999999999

gatestring

<= 25 characters

pierstring

<= 25 characters

idstring

<= 25 characters

isOperationalFlightboolean
mainFlightstring

<= 25 characters

prefixIATAstring

<= 25 characters

prefixICAOstring

<= 25 characters

airlineCodeinteger(int64)

>= 0<= 9999999999

publicEstimatedOffBlockTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

publicFlightStateobject
Show Child Parameters
routeobject
Show Child Parameters
scheduleDateTimestring(date-time)

yyyy-MM-dd’T’HH:mm:ss.SSSZ

<= 25 characters

scheduleDatestring(date)

yyyy-MM-dd

<= 25 characters

scheduleTimestring

hh:mm:ss

<= 25 characters

serviceTypestring

The service type category of the commercial flight. For example: J = Passenger Line, C=Passenger Charter, F = Freight Line and H = Freight Charter etc.

<= 25 characters

terminalinteger(int64)

>= 0<= 9999999999

transferPositionsobject
Show Child Parameters
schemaVersionstring

<= 25 characters

get/flights/{id}
 
application/json

Retrieve flight IDs based on a datetime range

Returns a list of flight IDs for flights scheduled within the specified datetime range (filters on scheduleDateTime). Max date range is three days.

get
https://api.schiphol.nl/public/public-flights/v4/flights/ids

Query Parameters

fromDateTimestring(local-date-time)required

From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss

<= 25 characters

toDateTimestring(local-date-time)required

To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss

<= 25 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

List of flight IDs

array[string]

<= 25 characters<= 1000 items

get/flights/ids
 
application/json

Retrieves flights for a specific date

Retrieves flights for a specific date. If scheduleDate is provided as query parameter, it will retrieve flights for that date. If not provided it is defaulted to today. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”

get
https://api.schiphol.nl/public/public-flights/v4/flights

Query Parameters

scheduleDatestring(date)

Scheduled date to get flights for. Format: yyyy-MM-dd. Defaults to today if not provided

<= 25 characters

scheduledatestring(date)

See: scheduleDate. Prefer scheduleDate. If both scheduleDate and scheduledate are used scheduleDate takes
precedence

<= 25 characters

scheduleTimestring(hour-minute)

Scheduled time to get flights from. Format: HH:mm

<= 25 characters

flightNamestring

Flight number as printed on the ticket

>= 5 characters<= 8 characters

flightnamestring

See: flightName. Prefer flightName. If both flightName and flightname
are used flightName takes precedence

>= 5 characters<= 8 characters

flightDirectionstring

Direction of the flight

Allowed values:AD

flightdirectionstring

See: flightDirection. Prefer using flightDirection. If both
flightDirection and flightdirection are used flightDirection takes precedence

Allowed values:AD

airlinestring

Prefix in flight number as printed on the ticket. For exmaple:
KL. This can either be a 2-character (IATA) airline prefix or 3-character
(ICAO) airline prefix. Only one airline (or airlineCode) can be queried
at the same time.

>= 2 characters<= 3 characters

airlineCodeinteger(int32)

>= 0<= 2147483647

routestring

IATA or ICAO code of airport in route; multiple values, comma
separated

>= 1 characters<= 255 characters

includedelaysboolean

Include flights of earlier an scheduleDate when these have enough delay to shift to the date that is queried upon.

Default:false

includeDelaysboolean

See: includedelays. Prefer includedelays. If both includeDelays
and includeDelays are used, includedelays take precedence.

Default:false

pageinteger(int32)

Default:0

>= 0<= 499

sortstring

Specifies which field to use for sorting. Allowed values are
flightName, scheduleDate, scheduleTime, flightDirection, mainFlight, airlineCode,
id, and all fields from the searchDateTimeField parameter. Use plus or
minus sign to indicate ascending or descending order. Multiple fields
are allowed and should be separated by a comma. For example “-scheduleDate,+scheduleTime”

Match pattern:^((\+|-| )?(flightName|scheduleDate|scheduleTime|flightDirection|mainFlight|airlineCode|id|estimatedLandingTime|actualLandingTime|publicEstimatedOffBlockTime|actualOffBlockTime|expectedTimeBoarding|expectedTimeGateClosing|expectedTimeGateOpen|expectedTimeOnBelt|scheduleDateTime|lastUpdatedAt)(,|$))+$

Default:+scheduleTime

<= 25 characters

fromDateTimestring(local-date-time)

From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss

<= 25 characters

toDateTimestring(local-date-time)

To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss

<= 25 characters

searchDateTimeFieldstring

Query by a specific DateTime field. Allowed fields are estimatedLandingTime,
actualLandingTime, publicEstimatedOffBlockTime, actualOffBlockTime, expectedTimeBoarding,
expectedTimeGateClosing, expectedTimeGateOpen, expectedTimeOnBelt, scheduleDateTime,
lastUpdatedAt

Allowed values:ESTIMATED_LANDING_TIMEACTUAL_LANDING_TIMEPUBLIC_ESTIMATED_OFF_BLOCK_TIMEACTUAL_OFF_BLOCK_TIMEEXPECTED_TIME_BOARDINGEXPECTED_TIME_GATE_CLOSINGEXPECTED_TIME_GATE_OPENEXPECTED_TIME_ON_BELTSCHEDULE_DATE_TIMELAST_UPDATED_AT

fromScheduleDatestring(date)

Query by ScheduleDate range.

<= 25 characters

toScheduleDatestring(date)

Query by ScheduleDate range

<= 25 characters

isOperationalFlightboolean

Query based on operational/non-operational flights.true for operational and false for non-operational flights

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

OK

FlightList

flightsarray[object]

<= 1000 items

Show Child Parameters
get/flights
 
application/json

Retrieves list of airlines

Retrieves a list of airlines. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”

get
https://api.schiphol.nl/public/public-flights/v4/airlines

Query Parameters

pageinteger(int32)

Default:0

>= 0<= 499

sortstring

Specifies which field to use for sorting. Allowed fields are
publicName, iata, icao and nvls. Use plus or minus sign to indicate ascending
or descending order.

Match pattern:^((\+|-| )?(publicName|iata|icao|nvls)(,|$))+$

Default:+iata

<= 25 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

OK

AirlineList

airlinesarray[object]

<= 1000 items

Show Child Parameters
get/airlines
 
application/json

Retrieves airline based on code (IATA or ICAO)

Retrieve airline based on IATA code or ICAO code.

get
https://api.schiphol.nl/public/public-flights/v4/airlines/{airline}

Path Parameters

airlinestringrequired

IATA / ICAO code

>= 2 characters<= 3 characters

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

<= 25 characters

Example:application/json

ResourceVersionstringrequired

Resource version of the API

Match pattern:v4

<= 25 characters

Example:v4

Response

application/json

OK

Airline

iatastring

<= 25 characters

icaostring

<= 25 characters

nvlsinteger(int64)

>= 0<= 9999999999

publicNamestring

<= 255 characters

get/airlines/{airline}
 
application/json